Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessTimerOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessTimer`, `JBPMMessages.ProcessTimer.Builder`
  Enclosing class:
    JBPMMessages

      public static interface JBPMMessages.ProcessTimerOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` | `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` | `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `org.drools.serialization.protobuf.ProtobufMessages.Trigger` | `getTrigger()` | `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`
    `org.drools.serialization.protobuf.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` | `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`
    `boolean` | `hasTimer()` | `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `boolean` | `hasTrigger()` | `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasTimer

          boolean hasTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Returns:
        Whether the timer field is set.

    - #### getTimer

          JBPMMessages.ProcessTimer.TimerInstance getTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Returns:
        The timer.

    - #### getTimerOrBuilder

          JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

    - #### hasTrigger

          boolean hasTrigger()

      `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`
      Returns:
        Whether the trigger field is set.

    - #### getTrigger

          org.drools.serialization.protobuf.ProtobufMessages.Trigger getTrigger()

      `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`
      Returns:
        The trigger.

    - #### getTriggerOrBuilder

          org.drools.serialization.protobuf.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

      `optional .org.drools.serialization.protobuf.Trigger trigger = 2;`